# C++ keyword: `alignof` (since C++11)

From cppreference.com
< cpp‎ | keyword

### Usage

- `alignof` operator

### Example

Run this code

    #include <cstddef>
    #include <iostream>

    int main()
    {
        std::cout << alignof(std::max_align_t) << '\n';
    }

Possible output:

    16

### See also

- `alignas`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/alignof&oldid=174696"